
#include "standard.h"


static int
tab(int a, int b)
{
	static byte t[] = {
		0, 4, 7, 11, 14, 17, 21, 24, 27, 29, 32, 35, 37, 39, 41, 43, 45, 255
	};
	if (b)
		b = t[16 * a / b];
	return (b);
}

static int
atan2(int x, int y)
{
	int a, q = 0;

	if (x < 0) {
		x = -x;
		q |= 1;
	}
	if (y < 0) {
		y = -y;
		q |= 2;
	}
	if (x > y)
		a = tab(y, x);
	else
		a = 90 - tab(x, y);

	switch (q) {
	case 0:
		return (a);
	case 1:
		return (180 - a);
	case 2:
		return (-a);
	case 3:
		return (-180 + a);
	}
}

